## plasma-browser-integration 6.5.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(PROJECT_VERSION "6.5.1")

project(plasma-browser-integration VERSION ${PROJECT_VERSION})

set(PROJECT_DEP_VERSION "6.5.1")
set(QT_MIN_VERSION "6.6.0")
set(KF6_MIN_VERSION "6.8.0")

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} )

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(FeatureSummary)
include(KDEClangFormat)
include(KDEGitCommitHooks)
include(ECMDeprecationSettings)
include(ECMSetupVersion)
include(ECMQtDeclareLoggingCategory)

find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
Gui
DBus
Widgets
)

find_package(KF6 ${KF6_MIN_VERSION} REQUIRED COMPONENTS
    KIO
    I18n
    CoreAddons
    Config
    Crash
    DBusAddons
    Notifications
    Runner
    Purpose
    FileMetaData
    JobWidgets
    Service
    StatusNotifierItem
)

find_package(PlasmaActivities ${PROJECT_DEP_VERSION} CONFIG REQUIRED)
find_package(LibTaskManager ${PROJECT_DEP_VERSION} CONFIG REQUIRED)

add_definitions(-DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT)
ecm_set_disabled_deprecation_versions(QT 6.8.1
    KF 6.9.0
)

ecm_setup_version(PROJECT VARIABLE_PREFIX PBI
                  VERSION_HEADER ${CMAKE_BINARY_DIR}/version.h
                  )

# Options
option(INSTALL_CHROME_MANIFEST "Whether to install a configuration file that makes Chrome automatically download the extension from the store" FALSE)
add_feature_info(INSTALL_CHROME_MANIFEST ${INSTALL_CHROME_MANIFEST} "Install extension from Chrome store automatically")

# in ubuntu and derivatives, this should be installed in the chromium-browser/extensions,
# but since this is distribution specific path, let's use what upstream uses
# ideally ubuntu and derivatives should patch this in their packaging
set(CHROMIUM_EXTENSIONS_DIR "chromium" CACHE STRING "Directory name to install Chromium extensions into")
add_feature_info(CHROMIUM_EXTENSIONS_DIR On "Directory name to install Chromium extensions into is '${CHROMIUM_EXTENSIONS_DIR}'")

option(COPY_MESSAGING_HOST_FILE_HOME "Copy the native messaging hosts json file to user home dir" FALSE)
add_feature_info(COPY_MESSAGING_HOST_FILE_HOME ${COPY_MESSAGING_HOST_FILE_HOME} "Enable this option to copy the native messaging hosts json file to home dir if you install plasma-browser-integration to custom prefix (non-/usr)")

set(MOZILLA_DIR "${CMAKE_INSTALL_PREFIX}/lib/mozilla" CACHE STRING "Mozilla directory")
add_feature_info(MOZILLA_DIR On "Mozilla directory is '${MOZILLA_DIR}'")

set(LIBREWOLF_DIR "${CMAKE_INSTALL_PREFIX}/lib/librewolf" CACHE STRING "LibreWolf directory")
add_feature_info(LIBREWOLF_DIR On "LibreWolf directory is '${LIBREWOLF_DIR}'")

add_subdirectory(host)
add_subdirectory(reminder)
add_subdirectory(flatpak-integrator)

if(NOT DEFINED CHROME_EXTENSION_ID)
    # The extension ID is based on the key used to sign the extension
    # see https://stackoverflow.com/questions/23873623/obtaining-chrome-extension-id-for-development
    set(CHROME_EXTENSION_ID "cimiefiiaegbelhefglklhhakcgmhkai")
endif()

if(NOT DEFINED EDGE_EXTENSION_ID)
    set(EDGE_EXTENSION_ID "dnnckbejblnejeabhcmhklcaljjpdjeh")
endif()

# TODO configure manifest.json

configure_file(org.kde.plasma.chrome_integration.json.in org.kde.plasma.chrome_integration.json @ONLY)
configure_file(org.kde.plasma.firefox_integration.json.in org.kde.plasma.firefox_integration.json @ONLY)

# #chromium
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.plasma.chrome_integration.json DESTINATION ${KDE_INSTALL_FULL_SYSCONFDIR}/chromium/native-messaging-hosts/ RENAME org.kde.plasma.browser_integration.json)
# #google-chrome
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.plasma.chrome_integration.json DESTINATION ${KDE_INSTALL_FULL_SYSCONFDIR}/opt/chrome/native-messaging-hosts/ RENAME org.kde.plasma.browser_integration.json)
# Microsoft Edge
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.plasma.chrome_integration.json DESTINATION ${KDE_INSTALL_FULL_SYSCONFDIR}/opt/edge/native-messaging-hosts/ RENAME org.kde.plasma.browser_integration.json)
# firefox
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.plasma.firefox_integration.json DESTINATION ${MOZILLA_DIR}/native-messaging-hosts/ RENAME org.kde.plasma.browser_integration.json)
# LibreWolf
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.plasma.firefox_integration.json DESTINATION ${LIBREWOLF_DIR}/native-messaging-hosts/ RENAME org.kde.plasma.browser_integration.json)

if (COPY_MESSAGING_HOST_FILE_HOME)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.plasma.firefox_integration.json DESTINATION $ENV{HOME}/.mozilla/native-messaging-hosts/ RENAME org.kde.plasma.browser_integration.json)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.plasma.firefox_integration.json DESTINATION $ENV{HOME}/.librewolf/native-messaging-hosts/ RENAME org.kde.plasma.browser_integration.json)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.plasma.chrome_integration.json DESTINATION $ENV{HOME}/.config/chromium/NativeMessagingHosts/ RENAME org.kde.plasma.browser_integration.json)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.plasma.chrome_integration.json DESTINATION $ENV{HOME}/.config/google-chrome/NativeMessagingHosts/ RENAME org.kde.plasma.browser_integration.json)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.plasma.chrome_integration.json DESTINATION $ENV{HOME}/.config/microsoft-edge/NativeMessagingHosts/ RENAME org.kde.plasma.browser_integration.json)
endif()

if (INSTALL_CHROME_MANIFEST) # Install a policy to have browsers automatically add the extension
    # google-chrome
    install(FILES chrome_install_from_store_policy DESTINATION ${KDE_INSTALL_DATADIR}/google-chrome/extensions RENAME ${CHROME_EXTENSION_ID}.json)
    # chromium
    install(FILES chrome_install_from_store_policy DESTINATION ${KDE_INSTALL_DATADIR}/${CHROMIUM_EXTENSIONS_DIR}/extensions RENAME ${CHROME_EXTENSION_ID}.json)
endif()

# TODO firefox

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

ki18n_install(po)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
plasma-browser-integration (6.5.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.1).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 28 Oct 2025 23:18:51 +0100

plasma-browser-integration (6.5.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.0).
  * Update build-deps and deps with the info from cmake.
  * Refresh copyright information.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 16 Oct 2025 22:04:35 +0200

=== debian/control ===
Source: plasma-browser-integration
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: debhelper-compat (= 13),
               dh-exec,
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.8.0~),
               gettext,
               jq,
               libkf6config-dev (>= 6.8.0~),
               libkf6coreaddons-dev (>= 6.8.0~),
               libkf6crash-dev (>= 6.8.0~),
               libkf6dbusaddons-dev (>= 6.8.0~),
               libkf6filemetadata-dev (>= 6.8.0~),
               libkf6i18n-dev (>= 6.8.0~),
               libkf6jobwidgets-dev (>= 6.8.0~),
               libkf6kio-dev (>= 6.8.0~),
               libkf6notifications-dev (>= 6.8.0~),
               libkf6purpose-dev (>= 6.8.0~),
               libkf6runner-dev (>= 6.8.0~),
               libkf6service-dev (>= 6.8.0~),
               libkf6statusnotifieritem-dev (>= 6.8.0~),
               libplasmaactivities-dev (>= 6.5.1~),
               plasma-workspace-dev (>= 4:6.5.1~),
               qt6-base-dev (>= 6.6.0+dfsg~),
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/plasma/plasma-browser-integration
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-browser-integration.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-browser-integration

Package: plasma-browser-integration
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Breaks: webext-plasma-browser-integration (<< 6.3.2-2~),
Replaces: webext-plasma-browser-integration (<< 6.3.2-2~),
Description: Chromium, Google Chrome, Firefox integration for Plasma (backend)
 Plasma Browser Integration is an extension for common browsers
 to closer fit into the Plasma shell. This includes:
    - Media Controls
        Lets you control video and audio players in websites using the
        Media Controller plasmoid, media keys on your keyboard, and
        even remotely from your phone.
    - Send links via KDE Connect
        Adds a context menu entry to links enabling you to send them
        to your phone and other paired devices.
    - Show downloads in and control them from Plasma’s notification area.
    - Find browser tabs in the Run Command (Alt-Space) window
        Make sure the "Browser Tabs" module is enabled in Plasma Search
        (KRunner) settings.
 .
 This package contains the backend components to make the bridge between the
 browsers and Plasma.

Package: webext-plasma-browser-integration
Architecture: all
Multi-Arch: foreign
Depends: plasma-browser-integration,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: firefox-esr | firefox | chromium,
Description: Chromium, Firefox integration for Plasma (web extension component)
 Plasma Browser Integration is an extension for common browsers
 to closer fit into the Plasma shell. This includes:
    - Media Controls
        Lets you control video and audio players in websites using the
        Media Controller plasmoid, media keys on your keyboard, and
        even remotely from your phone.
    - Send links via KDE Connect
        Adds a context menu entry to links enabling you to send them
        to your phone and other paired devices.
    - Show downloads in and control them from Plasma’s notification area.
    - Find browser tabs in the Run Command (Alt-Space) window
        Make sure the "Browser Tabs" module is enabled in Plasma Search
        (KRunner) settings.
 An extension for Chromium and Firefox which allows rich communication
 between the browser and plasma-browser-integration.
 .
 This package contains the web extension to be loaded by the browsers to
 provide the integration with Plasma.

## plasma-browser-integration 6.5.1+p24.04+vstable+git20251029.0938

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(PROJECT_VERSION "6.5.1")
+set(PROJECT_VERSION "6.5.2")
 
 project(plasma-browser-integration VERSION ${PROJECT_VERSION})

=== debian/changelog ===
plasma-browser-integration (6.5.1+p24.04+vstable+git20251029.0938-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 09:38:22 +0000

plasma-browser-integration (6.5.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 05:54:21 +0000

## plasma-browser-integration 6.5.1+p24.04+vstable+git20251031.1006

=== debian/changelog ===
plasma-browser-integration (6.5.1+p24.04+vstable+git20251031.1006-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 10:06:33 +0000

## plasma-browser-integration 6.5.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 project(plasma-browser-integration VERSION ${PROJECT_VERSION})
 
-set(PROJECT_DEP_VERSION "6.5.1")
+set(PROJECT_DEP_VERSION "6.5.2")
 set(QT_MIN_VERSION "6.6.0")
 set(KF6_MIN_VERSION "6.8.0")

=== debian/changelog ===
plasma-browser-integration (6.5.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 04 Nov 2025 17:13:22 +0000

plasma-browser-integration (6.5.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 29 Oct 2025 05:47:37 +0000

plasma-browser-integration (6.5.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 20 Oct 2025 18:38:26 +0100

=== debian/control ===
Source: plasma-browser-integration
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               extra-cmake-modules (>= 6.18.0~),
               gettext,
               libkf6config-dev (>= 6.18.0~),
               libkf6coreaddons-dev (>= 6.18.0~),
               libkf6crash-dev (>= 6.18.0~),
               libkf6dbusaddons-dev (>= 6.18.0~),
               libkf6filemetadata-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               libkf6jobwidgets-dev (>= 6.18.0~),
               libkf6kio-dev (>= 6.18.0~),
               libkf6notifications-dev (>= 6.18.0~),
               libkf6purpose-dev (>= 6.18.0~),
               libkf6runner-dev (>= 6.18.0~),
               libkf6service-dev (>= 6.18.0~),
               libkf6statusnotifieritem-dev (>= 6.18.0~),
               libplasmaactivities-dev (>= 6.5.2~),
               plasma-workspace-dev (>= 4:6.5.2~),
               qt6-base-dev (>= 6.9.0+dfsg~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma/plasma-browser-integration
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-browser-integration
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-browser-integration
Rules-Requires-Root: no

Package: plasma-browser-integration
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Chromium, Google Chrome, Firefox integration for Plasma
 Plasma Browser Integration is an extension for common browsers
 to closer fit into the Plasma shell. This includes:
    - Media Controls
        Lets you control video and audio players in websites using the
        Media Controller plasmoid, media keys on your keyboard, and
        even remotely from your phone.
    - Send links via KDE Connect
        Adds a context menu entry to links enabling you to send them
        to your phone and other paired devices.
    - Show downloads in and control them from Plasma’s notification area.
    - Find browser tabs in the Run Command (Alt-Space) window
        Make sure the "Browser Tabs" module is enabled in Plasma Search
        (KRunner) settings.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DINSTALL_CHROME_MANIFEST=OFF

# Use debian/postinst to install the Chrome conffile
# and debian/postrm to remove it since dpkg's automatic
# conffile handling doesn't handle the special /etc/opt/ directory
# https://bugs.debian.org/888549
override_dh_auto_install:
	dh_auto_install
	mkdir -p debian/plasma-browser-integration/usr/share/plasma-browser-integration
	mv debian/plasma-browser-integration/etc/opt/chrome/native-messaging-hosts/org.kde.plasma.browser_integration.json \
		debian/plasma-browser-integration/usr/share/plasma-browser-integration/org.kde.plasma.browser_integration.json
	rm -rf debian/plasma-browser-integration/etc/opt

## plasma-browser-integration 6.5.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(PROJECT_VERSION "6.5.2")
+set(PROJECT_VERSION "6.5.3")
 
 project(plasma-browser-integration VERSION ${PROJECT_VERSION})
 
-set(PROJECT_DEP_VERSION "6.5.2")
+set(PROJECT_DEP_VERSION "6.5.3")
 set(QT_MIN_VERSION "6.6.0")
 set(KF6_MIN_VERSION "6.8.0")

=== debian/changelog ===
plasma-browser-integration (6.5.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 18 Nov 2025 19:28:03 +0100

plasma-browser-integration (6.5.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Migrate to debian/watch version 5 syntax.
  * Add/update David Edmundson’s key in upstream keyring.
  * New upstream release (6.5.2).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 04 Nov 2025 21:37:55 +0100

=== debian/control ===
Source: plasma-browser-integration
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: debhelper-compat (= 13),
               dh-exec,
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.8.0~),
               gettext,
               jq,
               libkf6config-dev (>= 6.8.0~),
               libkf6coreaddons-dev (>= 6.8.0~),
               libkf6crash-dev (>= 6.8.0~),
               libkf6dbusaddons-dev (>= 6.8.0~),
               libkf6filemetadata-dev (>= 6.8.0~),
               libkf6i18n-dev (>= 6.8.0~),
               libkf6jobwidgets-dev (>= 6.8.0~),
               libkf6kio-dev (>= 6.8.0~),
               libkf6notifications-dev (>= 6.8.0~),
               libkf6purpose-dev (>= 6.8.0~),
               libkf6runner-dev (>= 6.8.0~),
               libkf6service-dev (>= 6.8.0~),
               libkf6statusnotifieritem-dev (>= 6.8.0~),
               libplasmaactivities-dev (>= 6.5.3~),
               plasma-workspace-dev (>= 4:6.5.3~),
               qt6-base-dev (>= 6.6.0+dfsg~),
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/plasma/plasma-browser-integration
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-browser-integration.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-browser-integration

Package: plasma-browser-integration
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Breaks: webext-plasma-browser-integration (<< 6.3.2-2~),
Replaces: webext-plasma-browser-integration (<< 6.3.2-2~),
Description: Chromium, Google Chrome, Firefox integration for Plasma (backend)
 Plasma Browser Integration is an extension for common browsers
 to closer fit into the Plasma shell. This includes:
    - Media Controls
        Lets you control video and audio players in websites using the
        Media Controller plasmoid, media keys on your keyboard, and
        even remotely from your phone.
    - Send links via KDE Connect
        Adds a context menu entry to links enabling you to send them
        to your phone and other paired devices.
    - Show downloads in and control them from Plasma’s notification area.
    - Find browser tabs in the Run Command (Alt-Space) window
        Make sure the "Browser Tabs" module is enabled in Plasma Search
        (KRunner) settings.
 .
 This package contains the backend components to make the bridge between the
 browsers and Plasma.

Package: webext-plasma-browser-integration
Architecture: all
Multi-Arch: foreign
Depends: plasma-browser-integration,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: firefox-esr | firefox | chromium,
Description: Chromium, Firefox integration for Plasma (web extension component)
 Plasma Browser Integration is an extension for common browsers
 to closer fit into the Plasma shell. This includes:
    - Media Controls
        Lets you control video and audio players in websites using the
        Media Controller plasmoid, media keys on your keyboard, and
        even remotely from your phone.
    - Send links via KDE Connect
        Adds a context menu entry to links enabling you to send them
        to your phone and other paired devices.
    - Show downloads in and control them from Plasma’s notification area.
    - Find browser tabs in the Run Command (Alt-Space) window
        Make sure the "Browser Tabs" module is enabled in Plasma Search
        (KRunner) settings.
 An extension for Chromium and Firefox which allows rich communication
 between the browser and plasma-browser-integration.
 .
 This package contains the web extension to be loaded by the browsers to
 provide the integration with Plasma.

## plasma-browser-integration 6.5.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(PROJECT_VERSION "6.5.3")
+set(PROJECT_VERSION "6.5.4")
 
 project(plasma-browser-integration VERSION ${PROJECT_VERSION})
 
-set(PROJECT_DEP_VERSION "6.5.3")
+set(PROJECT_DEP_VERSION "6.5.4")
 set(QT_MIN_VERSION "6.6.0")
 set(KF6_MIN_VERSION "6.8.0")

=== debian/changelog ===
plasma-browser-integration (6.5.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.4).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 09 Dec 2025 21:17:21 +0100

=== debian/control ===
--- 
+++ 
@@ -26,8 +26,8 @@
                libkf6runner-dev (>= 6.8.0~),
                libkf6service-dev (>= 6.8.0~),
                libkf6statusnotifieritem-dev (>= 6.8.0~),
-               libplasmaactivities-dev (>= 6.5.3~),
-               plasma-workspace-dev (>= 4:6.5.3~),
+               libplasmaactivities-dev (>= 6.5.4~),
+               plasma-workspace-dev (>= 4:6.5.4~),
                qt6-base-dev (>= 6.6.0+dfsg~),
 Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/plasma/plasma-browser-integration

## plasma-browser-integration 6.5.4+p24.04+vstable+git20251209.1543

=== debian/changelog ===
plasma-browser-integration (6.5.4+p24.04+vstable+git20251209.1543-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 15:43:08 +0000

plasma-browser-integration (6.5.4-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 20:23:52 +1000

plasma-browser-integration (6.5.3-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 09:15:31 +1000

plasma-browser-integration (6.5.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 06 Nov 2025 19:14:33 +1000

## plasma-browser-integration 6.5.4+p24.04+vstable+git20251212.0436

=== debian/changelog ===
plasma-browser-integration (6.5.4+p24.04+vstable+git20251212.0436-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 12 Dec 2025 04:36:36 +0000

## plasma-browser-integration 6.5.4+p24.04+vstable+git20260105.1247

=== debian/changelog ===
plasma-browser-integration (6.5.4+p24.04+vstable+git20260105.1247-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 12:47:04 +0000

## plasma-browser-integration 6.5.4+p24.04+vunstable+git20260103.0324

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(PROJECT_VERSION "6.5.4")
+set(PROJECT_VERSION "6.5.80")
 
 project(plasma-browser-integration VERSION ${PROJECT_VERSION})
 
-set(PROJECT_DEP_VERSION "6.5.4")
+set(PROJECT_DEP_VERSION "6.4.90")
 set(QT_MIN_VERSION "6.6.0")
 set(KF6_MIN_VERSION "6.8.0")

=== debian/changelog ===
plasma-browser-integration (6.5.4+p24.04+vunstable+git20260103.0324-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 03 Jan 2026 03:24:17 +0000

## plasma-browser-integration 6.5.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(PROJECT_VERSION "6.5.80")
+set(PROJECT_VERSION "6.5.5")
 
 project(plasma-browser-integration VERSION ${PROJECT_VERSION})
 
-set(PROJECT_DEP_VERSION "6.4.90")
+set(PROJECT_DEP_VERSION "6.5.5")
 set(QT_MIN_VERSION "6.6.0")
 set(KF6_MIN_VERSION "6.8.0")

=== debian/changelog ===
plasma-browser-integration (6.5.5-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 13 Jan 2026 15:06:21 +0000

plasma-browser-integration (6.5.4-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 09 Dec 2025 11:19:40 +0000

plasma-browser-integration (6.5.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Nov 2025 12:08:44 +0000

=== debian/control ===
Source: plasma-browser-integration
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               extra-cmake-modules (>= 6.18.0~),
               gettext,
               libkf6config-dev (>= 6.18.0~),
               libkf6coreaddons-dev (>= 6.18.0~),
               libkf6crash-dev (>= 6.18.0~),
               libkf6dbusaddons-dev (>= 6.18.0~),
               libkf6filemetadata-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               libkf6jobwidgets-dev (>= 6.18.0~),
               libkf6kio-dev (>= 6.18.0~),
               libkf6notifications-dev (>= 6.18.0~),
               libkf6purpose-dev (>= 6.18.0~),
               libkf6runner-dev (>= 6.18.0~),
               libkf6service-dev (>= 6.18.0~),
               libkf6statusnotifieritem-dev (>= 6.18.0~),
               libplasmaactivities-dev (>= 6.5.5~),
               plasma-workspace-dev (>= 4:6.5.5~),
               qt6-base-dev (>= 6.9.0+dfsg~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma/plasma-browser-integration
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-browser-integration
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-browser-integration
Rules-Requires-Root: no

Package: plasma-browser-integration
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Chromium, Google Chrome, Firefox integration for Plasma
 Plasma Browser Integration is an extension for common browsers
 to closer fit into the Plasma shell. This includes:
    - Media Controls
        Lets you control video and audio players in websites using the
        Media Controller plasmoid, media keys on your keyboard, and
        even remotely from your phone.
    - Send links via KDE Connect
        Adds a context menu entry to links enabling you to send them
        to your phone and other paired devices.
    - Show downloads in and control them from Plasma’s notification area.
    - Find browser tabs in the Run Command (Alt-Space) window
        Make sure the "Browser Tabs" module is enabled in Plasma Search
        (KRunner) settings.

## plasma-browser-integration 6.5.5+p24.04+vstable+git20260128.0427

=== debian/changelog ===
plasma-browser-integration (6.5.5+p24.04+vstable+git20260128.0427-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 28 Jan 2026 04:27:18 +0000

plasma-browser-integration (6.5.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Jan 2026 06:32:58 +1000

## plasma-browser-integration 6.5.5+p24.04+vstable+git20260130.0936

=== debian/changelog ===
plasma-browser-integration (6.5.5+p24.04+vstable+git20260130.0936-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 09:36:18 +0000

## plasma-browser-integration 6.5.5+p24.04+vunstable+git20260128.2111

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(PROJECT_VERSION "6.5.5")
+set(PROJECT_VERSION "6.6.80")
 
 project(plasma-browser-integration VERSION ${PROJECT_VERSION})
 
-set(PROJECT_DEP_VERSION "6.5.5")
+set(PROJECT_DEP_VERSION "6.5.90")
 set(QT_MIN_VERSION "6.6.0")
 set(KF6_MIN_VERSION "6.8.0")
 
@@ -77,6 +77,9 @@
 set(LIBREWOLF_DIR "${CMAKE_INSTALL_PREFIX}/lib/librewolf" CACHE STRING "LibreWolf directory")
 add_feature_info(LIBREWOLF_DIR On "LibreWolf directory is '${LIBREWOLF_DIR}'")
 
+set(WATERFOX_DIR "${CMAKE_INSTALL_PREFIX}/lib/waterfox" CACHE STRING "Waterfox directory")
+add_feature_info(WATERFOX_DIR On "Waterfox directory is '${WATERFOX_DIR}'")
+
 add_subdirectory(host)
 add_subdirectory(reminder)
 add_subdirectory(flatpak-integrator)
@@ -106,10 +109,13 @@
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.plasma.firefox_integration.json DESTINATION ${MOZILLA_DIR}/native-messaging-hosts/ RENAME org.kde.plasma.browser_integration.json)
 # LibreWolf
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.plasma.firefox_integration.json DESTINATION ${LIBREWOLF_DIR}/native-messaging-hosts/ RENAME org.kde.plasma.browser_integration.json)
+# Waterfox
+install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.plasma.firefox_integration.json DESTINATION ${WATERFOX_DIR}/native-messaging-hosts/ RENAME org.kde.plasma.browser_integration.json)
 
 if (COPY_MESSAGING_HOST_FILE_HOME)
     install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.plasma.firefox_integration.json DESTINATION $ENV{HOME}/.mozilla/native-messaging-hosts/ RENAME org.kde.plasma.browser_integration.json)
     install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.plasma.firefox_integration.json DESTINATION $ENV{HOME}/.librewolf/native-messaging-hosts/ RENAME org.kde.plasma.browser_integration.json)
+    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.plasma.firefox_integration.json DESTINATION $ENV{HOME}/.waterfox/native-messaging-hosts/ RENAME org.kde.plasma.browser_integration.json)
     install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.plasma.chrome_integration.json DESTINATION $ENV{HOME}/.config/chromium/NativeMessagingHosts/ RENAME org.kde.plasma.browser_integration.json)
     install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.plasma.chrome_integration.json DESTINATION $ENV{HOME}/.config/google-chrome/NativeMessagingHosts/ RENAME org.kde.plasma.browser_integration.json)
     install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.plasma.chrome_integration.json DESTINATION $ENV{HOME}/.config/microsoft-edge/NativeMessagingHosts/ RENAME org.kde.plasma.browser_integration.json)

=== debian/changelog ===
plasma-browser-integration (6.5.5+p24.04+vunstable+git20260128.2111-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 28 Jan 2026 21:11:56 +0000

## plasma-browser-integration 6.6.1

=== debian/changelog ===
plasma-browser-integration (6.6.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.6.0)
  * New upstream release (6.6.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 28 Feb 2026 22:15:18 +0000

plasma-browser-integration (6.5.5-0ubuntu2) resolute; urgency=medium

  * No-change rebuild for kf6-kio 6.22.1.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 Jan 2026 23:02:42 +0000

=== debian/control ===
--- 
+++ 
@@ -10,24 +10,24 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               extra-cmake-modules (>= 6.18.0~),
+               extra-cmake-modules (>= 6.22.0~),
                gettext,
-               libkf6config-dev (>= 6.18.0~),
-               libkf6coreaddons-dev (>= 6.18.0~),
-               libkf6crash-dev (>= 6.18.0~),
-               libkf6dbusaddons-dev (>= 6.18.0~),
-               libkf6filemetadata-dev (>= 6.18.0~),
-               libkf6i18n-dev (>= 6.18.0~),
-               libkf6jobwidgets-dev (>= 6.18.0~),
-               libkf6kio-dev (>= 6.18.0~),
-               libkf6notifications-dev (>= 6.18.0~),
-               libkf6purpose-dev (>= 6.18.0~),
-               libkf6runner-dev (>= 6.18.0~),
-               libkf6service-dev (>= 6.18.0~),
-               libkf6statusnotifieritem-dev (>= 6.18.0~),
-               libplasmaactivities-dev (>= 6.5.5~),
-               plasma-workspace-dev (>= 4:6.5.5~),
-               qt6-base-dev (>= 6.9.0+dfsg~),
+               libkf6config-dev (>= 6.22.0~),
+               libkf6coreaddons-dev (>= 6.22.0~),
+               libkf6crash-dev (>= 6.22.0~),
+               libkf6dbusaddons-dev (>= 6.22.0~),
+               libkf6filemetadata-dev (>= 6.22.0~),
+               libkf6i18n-dev (>= 6.22.0~),
+               libkf6jobwidgets-dev (>= 6.22.0~),
+               libkf6kio-dev (>= 6.22.0~),
+               libkf6notifications-dev (>= 6.22.0~),
+               libkf6purpose-dev (>= 6.22.0~),
+               libkf6runner-dev (>= 6.22.0~),
+               libkf6service-dev (>= 6.22.0~),
+               libkf6statusnotifieritem-dev (>= 6.22.0~),
+               libplasmaactivities-dev (>= 6.6.1~),
+               plasma-workspace-dev (>= 4:6.6.1~),
+               qt6-base-dev (>= 6.10.0+dfsg~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/plasma/plasma-browser-integration
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-browser-integration
